public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-terms/kterm/
Date: Fri, 30 Sep 2022 11:02:16 +0000 (UTC)	[thread overview]
Message-ID: <1664534894.7f04a2241960a2de4b91f9ae55e26cb1b4f81ae0.ionen@gentoo> (raw)

commit:     7f04a2241960a2de4b91f9ae55e26cb1b4f81ae0
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 30 10:17:07 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Fri Sep 30 10:48:14 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7f04a224

x11-terms/kterm: force gcc -E for imake's generation

Requires traditional cpp support and is broken in all sort of ways
with clang-cpp / -E. Can still use clang & friends for everything else.

Ideally these packages need to be built another way or last rited,
imake will just accumulate more problems.

wrt #873631, this only helps a bit and still has several clang issues.

Bug: https://bugs.gentoo.org/873631
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 x11-terms/kterm/kterm-6.2.0-r7.ebuild | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/x11-terms/kterm/kterm-6.2.0-r7.ebuild b/x11-terms/kterm/kterm-6.2.0-r7.ebuild
index 82a0e0e0ef31..5f674d0259b6 100644
--- a/x11-terms/kterm/kterm-6.2.0-r7.ebuild
+++ b/x11-terms/kterm/kterm-6.2.0-r7.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -28,6 +28,7 @@ RDEPEND="
 	!<games-board/xscrabble-2.10-r4"
 DEPEND="${RDEPEND}"
 BDEPEND="
+	sys-devel/gcc
 	virtual/pkgconfig
 	x11-misc/gccmakedep
 	>=x11-misc/imake-1.0.8-r1"
@@ -48,7 +49,7 @@ src_prepare() {
 
 src_configure() {
 	CC="$(tc-getBUILD_CC)" LD="$(tc-getLD)" \
-		IMAKECPP="${IMAKECPP:-$(tc-getCPP)}" xmkmf -a || die
+		IMAKECPP="${IMAKECPP:-${CHOST}-gcc -E}" xmkmf -a || die
 }
 
 src_compile() {


             reply	other threads:[~2022-09-30 11:02 UTC|newest]

Thread overview: 13+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-09-30 11:02 Ionen Wolkens [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-04-16  4:47 [gentoo-commits] repo/gentoo:master commit in: x11-terms/kterm/ Sam James
2021-04-16  4:47 Sam James
2021-04-15  6:39 Joonas Niilola
2018-07-20 13:44 Akinori Hattori
2018-05-27  1:50 Akinori Hattori
2018-04-01 23:56 Matt Turner
2018-04-01 23:56 Matt Turner
2018-04-01 23:56 Matt Turner
2018-04-01 23:56 Matt Turner
2018-03-31 13:44 Akinori Hattori
2018-03-31 13:44 Akinori Hattori
2018-03-31 13:44 Akinori Hattori

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1664534894.7f04a2241960a2de4b91f9ae55e26cb1b4f81ae0.ionen@gentoo \
    --to=ionen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox